Subject: bug#5305: [patch] add defined-colors-with-face-attributes to faces.el

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 28 Feb 2016 17:30:30 +1100

Jan Moringen <[email-masked]> writes:

> in an application I wrote, the user is prompted for a color using
> `read-color'. The completion table used there presents color names.
> However, based on color names alone, I often found it hard to choose a
> color. Therefore I wrote `defined-colors-with-face-attributes' which
> is
> like `defined-colors' but adds text properties to the color names that
> make them render with the color they name as background. I also
> changed
> `read-color' to call the new function when a color display is
> available.
>
> I have tested the new behavior on X displays and TTYs and it seems to
> work. However, I could not test windows or other terminal types and/or
> other color depths.

I like it a lot, so I've applied it to the Emacs trunk.  All the colour
combinations were legible on my screen, but perhaps some people have
screens where they may be less so, but I guess we'll find out.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no